Bio::Phylo::NeXML::Meta::XMLLiteral(3)

NAME
Bio::Phylo::NeXML::Meta::XMLLiteral - Annotation value adaptor, no direct usage

SYNOPSIS
 # no direct usage

DESCRIPTION
No direct usage, is used internally by Bio::Phylo::NeXML::Meta to wrap objects into a common adaptor class for serialization to XML.

METHODS

  CONSTRUCTOR

new()
     Type    : Constructor
     Title   : new
     Usage   : my $lit = Bio::Phylo::NeXML::Meta::XMLLiteral->new($obj);
     Function: Initializes a Bio::Phylo::NeXML::Meta::XMLLiteral object.
     Returns : A Bio::Phylo::NeXML::Meta::XMLLiteral object.
     Args    : An object (or array ref of objects) to wrap,
               either a 'RDF::Core::Model' (or subclass),
               an 'XML::XMLWriter' or (subclass) or any
               of the following serialization methods
               used for duck-typing one of the following classes:
                   Bio::Phylo                        => to_xml,
                   XML::DOM, XML::GDOME, XML::LibXML => toString,
                   XML::Twig                         => sprint,
                   XML::DOM2                         => xmlify,
                   XML::DOMBacked                    => as_xml,
                   XML::Handler                      => dump_tree,
                   XML::Element                      => as_XML
                   XML::API                          => _as_string,
                   XML::Code                         => code

  SERIALIZERS

to_xml()
    Serializes invocant to xml.

     Type    : Serializer
     Title   : to_xml
     Usage   : my $xml = $obj->to_xml;
     Function: Turns the invocant object (and its descendants) into an XML string.
     Returns : SCALAR
     Args    : NONE

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Bio::Phylo::NeXML::Meta
Bio::Phylo::Manual
    Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>.

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>